Bug 994789 - When executing "beaker-sync-tasks", it shows "no attribute 'update_repo'"
When executing "beaker-sync-tasks", it shows "no attribute 'update_repo'"
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.14
Unspecified Unspecified
medium Severity medium (vote)
: 0.15
: ---
Assigned To: Amit Saha
tools-bugs
:
Depends On: 998369
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 22:40 EDT by xjia
Modified: 2015-07-26 18:15 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 22:28:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xjia 2013-08-07 22:40:11 EDT
Description of problem:
On beaker server, try to sync task from beaker production env. 

 su apache -s /bin/bash -c 'beaker-sync-tasks --debug --remote=https://beaker'

It will get the error "AttributeError: type object 'Task' has no attribute 'update_repo"

Version-Release number of selected component (if applicable):
0.14

How reproducible:
Always

Steps to Reproduce:
1.On beaker server: su apache -s /bin/bash -c 'beaker-sync-tasks --debug --remote=https://beaker...'
2.
3.

Actual results:
2013-08-06 23:46:24,228 - Creating repodata..
Traceback (most recent call last):
  File "/usr/bin/beaker-sync-tasks", line 9, in <module>
    load_entry_point('bkr.server==0.14.0', 'console_scripts', 'beaker-sync-tasks')()
  File "/usr/lib/python2.6/site-packages/bkr/server/tools/sync_tasks.py", line 338, in main
    task_sync.tasks_add(new_tasks, old_tasks)
  File "/usr/lib/python2.6/site-packages/bkr/server/tools/sync_tasks.py", line 275, in tasks_add
    self.update_db()
  File "/usr/lib/python2.6/site-packages/bkr/server/tools/sync_tasks.py", line 209, in update_db
    Task.update_repo()
AttributeError: type object 'Task' has no attribute 'update_repo'


Expected results:
No such error

Additional info:
Comment 2 Amit Saha 2013-09-02 22:51:56 EDT
On Gerrit: http://gerrit.beaker-project.org/#/c/2203/2
Comment 5 Nick Coghlan 2013-10-02 22:28:52 EDT
Beaker 0.15 has been released.

Note You need to log in before you can comment on or make changes to this bug.